FileControllerRenameFile Method |
PUT /File/Rename/{id}
Renames the file with the specified ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Rename")]
public IActionResult RenameFile(
Guid id,
[FromBodyAttribute] string newName,
Guid? sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Rename")>
Public Function RenameFile (
id As Guid,
<FromBodyAttribute> newName As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Rename")]
IActionResult^ RenameFile(
Guid id,
[FromBodyAttribute] String^ newName,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Rename")>]
member RenameFile :
id : Guid *
[<FromBodyAttribute>] newName : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the file to rename. - newName
- Type: SystemString
The new name of the file. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the current session.
Return Value
Type:
IActionResultA status code indicating success or the reason for failure.
See Also